## GstByteArrayInterface

Interface for an array of bytes. It is expected to be subclassed to implement resize virtual method using language native array implementation, such as GLib's GByteArray, C++'s `std::vector<uint8_t>` or Rust's `Vec<u8>`.

resize implementation could allocate more than requested to avoid repeated reallocations. It can return FALSE, or be set to NULL, in the case the array cannot grow.

### Members

`data` (guint8 *) –

A pointer to an array of bytes.

`len` (gsize) –

Number of bytes in data.

Since : 1.24

## Gst.ByteArrayInterface

Interface for an array of bytes. It is expected to be subclassed to implement resize virtual method using language native array implementation, such as GLib's GByteArray (not introspectable), C++'s `std::vector<uint8_t>` or Rust's `Vec<u8>`.

resize implementation could allocate more than requested to avoid repeated reallocations. It can return false, or be set to null, in the case the array cannot grow.

### Members

`data` (Number) –

A pointer to an array of bytes.

`len` (Number) –

Number of bytes in data.

Since : 1.24

## Gst.ByteArrayInterface

Interface for an array of bytes. It is expected to be subclassed to implement resize virtual method using language native array implementation, such as GLib's GByteArray (not introspectable), C++'s `std::vector<uint8_t>` or Rust's `Vec<u8>`.

resize implementation could allocate more than requested to avoid repeated reallocations. It can return False, or be set to None, in the case the array cannot grow.

### Members

`data` (int) –

A pointer to an array of bytes.

`len` (int) –

Number of bytes in data.

Since : 1.24

The results of the search are